net.sourceforge.pmd.dcd.graph

## Class MemberNodeComparator

- java.lang.Object
- - net.sourceforge.pmd.dcd.graph.MemberNodeComparator

All Implemented Interfaces:
  Comparator<MemberNode>

    public final class MemberNodeComparator
    extends Object
    implements Comparator<MemberNode>

Compares MemberNodes. FieldNodes are smaller than ConstructorNodes which are smaller than MethodNodes.

### Field Summary

Fields
`static MemberNodeComparator` `INSTANCE`

### Method Summary

Methods
`int` `compare(MemberNode node1, MemberNode node2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Field Detail

#### INSTANCE

    public static final MemberNodeComparator INSTANCE

### Method Detail

#### compare

    public int compare(MemberNode node1,
              MemberNode node2)

Specified by:
  `compare` in interface `Comparator<MemberNode>`